local get_txt = {}

get_txt.triggers = {
  "(https?://.*.txt)"
}

function get_txt:action(msg, config, matches)
  local url = matches[1]
  local doer = http
  if url:match('^https') then
	doer = https
  end
  local res, code  = doer.request(url)
  if code ~= 200 then 
   utilities.send_reply(msg, config.errors.connection)
   return
  end
  if string.len(res) > 500 then
    result = string.sub(res, 1, 500)..'...\n(Text gekürzt, da länger als 500 Zeichen.)'
  else
	result = res
  end
  utilities.send_reply(msg, result)
end

return get_txt